> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://api-docs.hindsiteind.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://api-docs.hindsiteind.com/_mcp/server.

# Post Work Orders Id Documents

POST https://app.hindsiteind.com/api/v2/work_orders/{id}/documents
Content-Type: application/json

Attaches a file to the work order from a signed blob ID obtained via the direct-upload flow, under one of the organisation's file categories.

Reference: https://api-docs.hindsiteind.com/hindsite-api/work-orders/post-work-orders-id-documents

## Authentication

- `Authorization` header (bearer token, required) — OAuth 2.0 Client Credentials Flow. To obtain an access token: 1. Request API credentials from HINDSITE support to receive your `client_id` and `client_secret` 2. Make a POST request to obtain an access token: ``` POST https://app.hindsiteind.com/oauth/token Content-Type: application/x-www-form-urlencoded grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET ``` 3. The response will contain your access token: ```json { "access_token": "your_access_token_here", "token_type": "Bearer", "expires_in": 7200, "created_at": 1234567890 } ``` 4. Include the token in subsequent API requests: ``` Authorization: Bearer your_access_token_here ```

## Request

### Path parameters

- `id` (string, required)

### Body (application/json)

- `signed_id` (string, required) — Signed blob ID from the direct-upload flow
- `category_id` (string, required) — A file category ID from GET /api/v2/work_order_document_categories

## Response

### 201

created WorkOrderDocument

- `id` (string, optional) — ULID
- `category` (object, optional)
  - `id` (string, optional) — ULID
  - `name` (string, optional)
  - `created_at` (integer, optional) — Epoch seconds
  - `updated_at` (integer, optional) — Epoch seconds
- `user` (object, optional)
  - `id` (string, optional) — ULID
  - `email` (string, optional)
  - `name` (string, optional)
  - `is_admin` (boolean, optional)
  - `location_manager` (boolean, optional)
  - `last_active_at` (long, optional) — Unix timestamp (seconds since epoch)
  - `archived` (boolean, optional)
  - `organisation_id` (string, optional) — ULID
- `file` (object, optional)
  - `blob_url` (string, optional)
  - `signed_id` (string, optional)
  - `filename` (string, optional)
  - `byte_size` (integer, optional)
  - `content_type` (string, optional)
  - `preview_url` (string, optional) — Poster image URL. Present only for previewable blobs (e.g. video).
- `created_at` (integer, optional) — Epoch seconds
- `updated_at` (integer, optional) — Epoch seconds

## Examples

**Request**

```json
{
  "signed_id": "string",
  "category_id": "string"
}
```

**Response**

```json
{
  "id": "string",
  "category": {
    "id": "string",
    "name": "string",
    "created_at": 1,
    "updated_at": 1
  },
  "user": {
    "id": "string",
    "email": "string",
    "name": "string",
    "is_admin": true,
    "location_manager": true,
    "last_active_at": 1,
    "archived": true,
    "organisation_id": "string"
  },
  "file": {
    "blob_url": "string",
    "signed_id": "string",
    "filename": "string",
    "byte_size": 1,
    "content_type": "string",
    "preview_url": "string"
  },
  "created_at": 1,
  "updated_at": 1
}
```

**SDK Code**

```python
import requests

url = "https://app.hindsiteind.com/api/v2/work_orders/id/documents"

payload = {
    "signed_id": "string",
    "category_id": "string"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://app.hindsiteind.com/api/v2/work_orders/id/documents';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"signed_id":"string","category_id":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://app.hindsiteind.com/api/v2/work_orders/id/documents"

	payload := strings.NewReader("{\n  \"signed_id\": \"string\",\n  \"category_id\": \"string\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://app.hindsiteind.com/api/v2/work_orders/id/documents")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"signed_id\": \"string\",\n  \"category_id\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://app.hindsiteind.com/api/v2/work_orders/id/documents")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"signed_id\": \"string\",\n  \"category_id\": \"string\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://app.hindsiteind.com/api/v2/work_orders/id/documents', [
  'body' => '{
  "signed_id": "string",
  "category_id": "string"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://app.hindsiteind.com/api/v2/work_orders/id/documents");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"signed_id\": \"string\",\n  \"category_id\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "signed_id": "string",
  "category_id": "string"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://app.hindsiteind.com/api/v2/work_orders/id/documents")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```